<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '/home/conexapl/PHPMailer/src/Exception.php';
require '/home/conexapl/PHPMailer/src/PHPMailer.php';
require '/home/conexapl/PHPMailer/src/SMTP.php';

// Instantiation and passing [ICODE]true[/ICODE] enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
    $mail->SMTPDebug = 0; // Set to 2 for debugging
    $mail->isSMTP(); // Set mailer to use SMTP
    $mail->Host = 'mail.conexaplan.com.br'; // Specify main and backup SMTP servers
    $mail->SMTPAuth = true; // Enable SMTP authentication
    $mail->Username = 'contato@conexaplan.com.br'; // SMTP username (your email address)
    $mail->Password = 'Conex@160120'; // SMTP password (your email password)
    $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
    $mail->Port = 587; // TCP port to connect to

    //Recipients
    $mail->setFrom($_POST['email'], $_POST['name']);
    $mail->addAddress('contato@conexaplan.com.br', 'Conexaplan'); // Add a recipient

    // Content
    $mail->isHTML(true); // Set email format to HTML
    $mail->Subject = 'Mensagem de Contato - Formulário Site';
    $mail->Body = '<p><b>Nome: </b>' . $_POST['name'] . '</p><p><b>E-mail: </b>' . $_POST['email'] . '</p><p><b>Telefone: </b>' . $_POST['phone'] . '</p><p><b>Mensagem: </b>' . $_POST['message'] . '</p>';
    $mail->AltBody = 'Este é o corpo da mensagem em texto puro para clientes de email que não suportam HTML';

    $mail->send();
    echo '<div id="mail_success" class="success">Sua mensagem foi enviada com sucesso.</div>';

} catch (Exception $e) {
    echo '<div id="mail_fail" class="error">Houve um erro ao enviar a mensagem. Tente novamente mais tarde.</div>';
}
?>
